<!DOCTYPE html>
<html lang="en">
<head>
    <% include common/head %>
</head>
<body>
    <% include common/navigation %>
    <div class='container' style='min-height: 450px'><div class='row'><div class='col-md-12'>

        <div class='row'>
            <div class='col-md-3'>
                <div class='list-group'>
                    <h4>OWASP Top 10 2017</h4>
                    <% for (var vulnKey in vulnerabilities) { %>
                        <% if (vulnKey[1]!='x') { %>
                        <a href="/learn/vulnerability/<%=vulnKey%>" class='list-group-item'>
                            <i class='fa fa-angle-double-right'></i> <%=vulnerabilities[vulnKey]%>
                        </a>
                        <% } %>
                    <% } %>
                    <h4>OWASP Top 10 2013!</h4>
                    <% for (var vulnKey in vulnerabilities) { %>
                        <% if (vulnKey[1]=='x') { %>
                        <a href="/learn/vulnerability/<%=vulnKey%>" class='list-group-item'>
                            <i class='fa fa-angle-double-right'></i> <%=vulnerabilities[vulnKey]%>
                        </a>
                        <% } %>
                    <% } %>
                </div>
            </div>
            <div class='col-md-9'>
                <% if (messages.success) { %>
                    <div class="alert alert-success"><%=messages.success%></div>
                <% } else if (messages.danger) { %>
                    <div class="alert alert-danger"><%= messages.danger %></div>
                <% } else if (messages.warning) {%> 
                    <div class="alert alert-warning"><%= messages.warning %></div>
                <% } else if (messages.info) {%> 
                    <div class="alert alert-info"><%= messages.info %></div>
                <% } %>                
                <h3>Welcome to <strong>Damn Vulnerable NodeJS Application</strong></h3>
                <p>The <i>Damn Vulnerable NodeJS Application</i> implements a set of intentionally vulnerable functions in NodeJS for learning purpose.
                Start by selecting one of the vulnerability class from the left menu or select one of the link below </p>
                
                <h4>OWASP Top 10 2017</h4>
                <ul>
                    
                    <% for (var vulnKey in vulnerabilities) { %>
                        <% if (vulnKey[1]!='x') { %>
                        <li><a href='/learn/vulnerability/<%=vulnKey%>'> <%=vulnerabilities[vulnKey]%> </a></li>
                        <% } %>
                    <% } %>
                </ul>
                <h4>OWASP Top 10 2013</h4>
                <ul>
                    <% for (var vulnKey in vulnerabilities) { %>
                        <% if (vulnKey[1]=='x') { %>
                        <li><a href='/learn/vulnerability/<%=vulnKey%>'> <%=vulnerabilities[vulnKey]%> </a></li>
                        <% } %>
                    <% } %>
                </ul>
            </div>
        </div>

    </div></div></div>
    <% include common/footer %>
</body>
</html>
